{
  "type": "excalidraw",
  "version": 2,
  "source": "https://marketplace.visualstudio.com/items?itemName=pomdtr.excalidraw-editor",
  "elements": [
    {
      "id": "qCqYarOowj2Su3TQySPIP",
      "type": "rectangle",
      "x": 89.89203408207413,
      "y": -176.88128075374004,
      "width": 541.8058810763887,
      "height": 1228.514886226944,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ff8787",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a0",
      "roundness": {
        "type": 3
      },
      "seed": 2080585122,
      "version": 991,
      "versionNonce": 1118399074,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096766776,
      "link": null,
      "locked": false
    },
    {
      "id": "rCpr8A5mOn0G19IIwLMGb",
      "type": "rectangle",
      "x": 164.274562935449,
      "y": 753.8763550412823,
      "width": 402.8792298303266,
      "height": 133.68680420637367,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a1",
      "roundness": {
        "type": 3
      },
      "seed": 1125134690,
      "version": 503,
      "versionNonce": 77636002,
      "isDeleted": false,
      "boundElements": [
        {
          "type": "text",
          "id": "b7EwPunRf5Bv_DO9xDK-Z"
        },
        {
          "id": "kYnDqAhtUlgr3ZD9LbHKG",
          "type": "arrow"
        },
        {
          "id": "JQbvrPYrMvSdae8vx5pT5",
          "type": "arrow"
        },
        {
          "id": "HhuJQQ_gWq6X4g_glo6Al",
          "type": "arrow"
        },
        {
          "id": "SSPYjPNjEdzaMbcXnCz67",
          "type": "arrow"
        }
      ],
      "updated": 1762096776760,
      "link": null,
      "locked": false
    },
    {
      "id": "b7EwPunRf5Bv_DO9xDK-Z",
      "type": "text",
      "x": 288.7141778506123,
      "y": 808.2197571444691,
      "width": 154,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#e7f5ff",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a2",
      "roundness": null,
      "seed": 1585952034,
      "version": 163,
      "versionNonce": 757079394,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096776761,
      "link": null,
      "locked": false,
      "text": "Self Attention",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "rCpr8A5mOn0G19IIwLMGb",
      "originalText": "Self Attention",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "lsWQgK2xbDFFlx7dhcAgR",
      "type": "rectangle",
      "x": 165.274562935449,
      "y": 360.8763550412823,
      "width": 402.8792298303266,
      "height": 133.68680420637367,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a3",
      "roundness": {
        "type": 3
      },
      "seed": 1876476130,
      "version": 1010,
      "versionNonce": 2094210302,
      "isDeleted": false,
      "boundElements": [
        {
          "type": "text",
          "id": "zkxZSDgorY-o9s213PxA0"
        },
        {
          "id": "gEFamNi-eAnkJxd5sT5PB",
          "type": "arrow"
        },
        {
          "id": "k3-MKZ7vFo1cqwsrFB9-x",
          "type": "arrow"
        },
        {
          "id": "uJpkX-OR61DtXRxbf4Et_",
          "type": "arrow"
        },
        {
          "id": "pmTd8oOgqDfgV-9w-RwrS",
          "type": "arrow"
        }
      ],
      "updated": 1762096766776,
      "link": null,
      "locked": false
    },
    {
      "id": "zkxZSDgorY-o9s213PxA0",
      "type": "text",
      "x": 284.2141778506123,
      "y": 415.2197571444691,
      "width": 165,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#e7f5ff",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a4",
      "roundness": null,
      "seed": 311579810,
      "version": 691,
      "versionNonce": 1886061310,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096770381,
      "link": null,
      "locked": false,
      "text": "Cross Attention",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "lsWQgK2xbDFFlx7dhcAgR",
      "originalText": "Cross Attention",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "v1qYdNL6ToaR_6a4U6jPS",
      "type": "rectangle",
      "x": 164.2745629526462,
      "y": 647.5280290634923,
      "width": 402.87922978524415,
      "height": 55.00000018047178,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a5",
      "roundness": {
        "type": 3
      },
      "seed": 409170018,
      "version": 350,
      "versionNonce": 208486782,
      "isDeleted": false,
      "boundElements": [
        {
          "type": "text",
          "id": "jinkGN2Haz-1We1cP0eOQ"
        },
        {
          "id": "0OHfpUq4P8ePaBhckxQfW",
          "type": "arrow"
        },
        {
          "id": "SSPYjPNjEdzaMbcXnCz67",
          "type": "arrow"
        }
      ],
      "updated": 1762096776760,
      "link": null,
      "locked": false
    },
    {
      "id": "jinkGN2Haz-1We1cP0eOQ",
      "type": "text",
      "x": 277.7141778452683,
      "y": 662.5280291537282,
      "width": 176,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#e7f5ff",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a6",
      "roundness": null,
      "seed": 1159402530,
      "version": 228,
      "versionNonce": 1027810146,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096771497,
      "link": null,
      "locked": false,
      "text": "Add & Normallize",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "v1qYdNL6ToaR_6a4U6jPS",
      "originalText": "Add & Normallize",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "9wukiHvSQdHwcRqCFoagl",
      "type": "rectangle",
      "x": 165.2745629526462,
      "y": 254.52802906349234,
      "width": 402.87922978524415,
      "height": 55.00000018047178,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a7",
      "roundness": {
        "type": 3
      },
      "seed": 178798562,
      "version": 860,
      "versionNonce": 2006087038,
      "isDeleted": false,
      "boundElements": [
        {
          "type": "text",
          "id": "IFc67f2-5Fvq7Q_7gJJiq"
        },
        {
          "id": "k3-MKZ7vFo1cqwsrFB9-x",
          "type": "arrow"
        },
        {
          "id": "2dHlQsGZaX1lGzkTnCKFY",
          "type": "arrow"
        },
        {
          "id": "W3Dr69MWFD-ppaCyx5xrC",
          "type": "arrow"
        },
        {
          "id": "Mp8nf6vRB3KuqVuRLLdHh",
          "type": "arrow"
        }
      ],
      "updated": 1762096766776,
      "link": null,
      "locked": false
    },
    {
      "id": "IFc67f2-5Fvq7Q_7gJJiq",
      "type": "text",
      "x": 278.7141778452683,
      "y": 269.52802915372826,
      "width": 176,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#e7f5ff",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a8",
      "roundness": null,
      "seed": 1159328674,
      "version": 741,
      "versionNonce": 1065273506,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096769503,
      "link": null,
      "locked": false,
      "text": "Add & Normallize",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "9wukiHvSQdHwcRqCFoagl",
      "originalText": "Add & Normallize",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "_IKZY5ssccYdTonDWi9bd",
      "type": "rectangle",
      "x": 165.2745629526462,
      "y": 22.55327906349237,
      "width": 402.87922978524415,
      "height": 154.37500018047177,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a9",
      "roundness": {
        "type": 3
      },
      "seed": 1990143842,
      "version": 1023,
      "versionNonce": 48436670,
      "isDeleted": false,
      "boundElements": [
        {
          "type": "text",
          "id": "_-UmqiWc-GJ6iqjF-maNl"
        },
        {
          "id": "W3Dr69MWFD-ppaCyx5xrC",
          "type": "arrow"
        },
        {
          "id": "NbBbD_MUY7EXd4_ROd7zG",
          "type": "arrow"
        }
      ],
      "updated": 1762096766776,
      "link": null,
      "locked": false
    },
    {
      "id": "_-UmqiWc-GJ6iqjF-maNl",
      "type": "text",
      "x": 306.5774590952683,
      "y": 87.24077915372825,
      "width": 120.2734375,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#e7f5ff",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aA",
      "roundness": null,
      "seed": 59175714,
      "version": 940,
      "versionNonce": 1774823842,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096766849,
      "link": null,
      "locked": false,
      "text": "Feed Forward",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "_IKZY5ssccYdTonDWi9bd",
      "originalText": "Feed Forward",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "JSP3hx5ZEG1hZY0fbrIse",
      "type": "rectangle",
      "x": 165.27456295264574,
      "y": -103.7613059365076,
      "width": 402.87922978524415,
      "height": 55.00000018047178,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aB",
      "roundness": {
        "type": 3
      },
      "seed": 1849704162,
      "version": 947,
      "versionNonce": 1404415486,
      "isDeleted": false,
      "boundElements": [
        {
          "type": "text",
          "id": "jIK_FYpAbWkSDg0SBGErq"
        },
        {
          "id": "2dHlQsGZaX1lGzkTnCKFY",
          "type": "arrow"
        }
      ],
      "updated": 1762096766776,
      "link": null,
      "locked": false
    },
    {
      "id": "jIK_FYpAbWkSDg0SBGErq",
      "type": "text",
      "x": 278.71417784526784,
      "y": -88.76130584627171,
      "width": 176,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#e7f5ff",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aC",
      "roundness": null,
      "seed": 324670114,
      "version": 833,
      "versionNonce": 311254818,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096782834,
      "link": null,
      "locked": false,
      "text": "Add & Normallize",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "JSP3hx5ZEG1hZY0fbrIse",
      "originalText": "Add & Normallize",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "7PGV1ogNy1ykzVGKo-dPc",
      "type": "ellipse",
      "x": 343.9641779526464,
      "y": 980.9114850634925,
      "width": 43.5,
      "height": 43.5,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aD",
      "roundness": {
        "type": 2
      },
      "seed": 1703112290,
      "version": 245,
      "versionNonce": 1188381218,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "0OHfpUq4P8ePaBhckxQfW",
          "type": "arrow"
        },
        {
          "id": "w4r4AEnypZ_ijU6xJGJW8",
          "type": "arrow"
        },
        {
          "id": "kYnDqAhtUlgr3ZD9LbHKG",
          "type": "arrow"
        },
        {
          "id": "JQbvrPYrMvSdae8vx5pT5",
          "type": "arrow"
        },
        {
          "id": "HhuJQQ_gWq6X4g_glo6Al",
          "type": "arrow"
        }
      ],
      "updated": 1762096776760,
      "link": null,
      "locked": false
    },
    {
      "id": "0OHfpUq4P8ePaBhckxQfW",
      "type": "arrow",
      "x": 338.9643648691872,
      "y": 1002.5614850634925,
      "width": 214.689801916541,
      "height": 327.63345590976417,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "dashed",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aE",
      "roundness": null,
      "seed": 696996386,
      "version": 529,
      "versionNonce": 1524050914,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096776761,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -214.689801916541,
          0
        ],
        [
          -214.689801916541,
          -327.63345590976417
        ],
        [
          -179.689801916541,
          -327.63345590976417
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "7PGV1ogNy1ykzVGKo-dPc",
        "focus": 0.004597701149423719,
        "gap": 5.000000000000124,
        "fixedPoint": [
          -0.11493823180366046,
          0.4977011494252868
        ]
      },
      "endBinding": {
        "elementId": "v1qYdNL6ToaR_6a4U6jPS",
        "focus": 1.0248213341882395,
        "gap": 5,
        "fixedPoint": [
          -0.012410667094119653,
          0.4981818181877853
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "kYnDqAhtUlgr3ZD9LbHKG",
      "type": "arrow",
      "x": 365.6141779526465,
      "y": 975.9116719800334,
      "width": 139.4240179999997,
      "height": 83.34851273237746,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aF",
      "roundness": null,
      "seed": 845200866,
      "version": 452,
      "versionNonce": 2067698366,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096776761,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -41.674349824459114
        ],
        [
          139.4240179999997,
          -41.674349824459114
        ],
        [
          138.4240179999997,
          -83.34851273237746
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "7PGV1ogNy1ykzVGKo-dPc",
        "focus": -0.004597701149415878,
        "gap": 5.000000000000011,
        "fixedPoint": [
          0.4977011494252894,
          -0.11493823180365785
        ]
      },
      "endBinding": {
        "elementId": "rCpr8A5mOn0G19IIwLMGb",
        "focus": -1.0748016983378765,
        "gap": 5,
        "fixedPoint": [
          0.8433386679186449,
          1.0374008491689382
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "gEFamNi-eAnkJxd5sT5PB",
      "type": "arrow",
      "x": 365.61417784526793,
      "y": 643.2386940634924,
      "width": 139.4240181073783,
      "height": 143.67553481583644,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aG",
      "roundness": null,
      "seed": 487764386,
      "version": 1449,
      "versionNonce": 1320118370,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096766776,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -47.55218612698485
        ],
        [
          139.4240181073783,
          -47.55218612698485
        ],
        [
          139.4240181073783,
          -143.67553481583644
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": {
        "elementId": "lsWQgK2xbDFFlx7dhcAgR",
        "focus": -1.0748016983378765,
        "gap": 5,
        "fixedPoint": [
          0.8433386679186449,
          1.0374008491689382
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            0,
            -47.55218612698485
          ],
          "end": [
            139.4240181073783,
            -47.55218612698485
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "JQbvrPYrMvSdae8vx5pT5",
      "type": "arrow",
      "x": 365.6141779526465,
      "y": 975.9116719800334,
      "width": 145.0759820000003,
      "height": 83.34851273237746,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aH",
      "roundness": null,
      "seed": 214969698,
      "version": 324,
      "versionNonce": 1270317090,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096776761,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -41.674349824459114
        ],
        [
          -144.0759820000003,
          -41.674349824459114
        ],
        [
          -145.0759820000003,
          -83.34851273237746
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "7PGV1ogNy1ykzVGKo-dPc",
        "focus": -0.004597701149415878,
        "gap": 5.000000000000011,
        "fixedPoint": [
          0.4977011494252894,
          -0.11493823180365785
        ]
      },
      "endBinding": {
        "elementId": "rCpr8A5mOn0G19IIwLMGb",
        "focus": 1.0748016983378723,
        "gap": 5,
        "fixedPoint": [
          0.13965384376080334,
          1.0374008491689382
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "HhuJQQ_gWq6X4g_glo6Al",
      "type": "arrow",
      "x": 365.6141779526465,
      "y": 975.9116719800334,
      "width": 1.0203484634985216e-7,
      "height": 83.34851273237746,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aI",
      "roundness": null,
      "seed": 1726492962,
      "version": 416,
      "versionNonce": 228166398,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096776761,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -1.0203484634985216e-7,
          -83.34851273237746
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "7PGV1ogNy1ykzVGKo-dPc",
        "focus": -0.004597699638180666,
        "gap": 5.000000000000011,
        "fixedPoint": [
          0.4977011494252894,
          -0.11493823180365785
        ]
      },
      "endBinding": {
        "elementId": "rCpr8A5mOn0G19IIwLMGb",
        "focus": 0.0004964271201179518,
        "gap": 5,
        "fixedPoint": [
          0.4997517866581438,
          1.0374008491689382
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "SSPYjPNjEdzaMbcXnCz67",
      "type": "arrow",
      "x": 365.6141778506126,
      "y": 748.8763550412823,
      "width": 5.34373612026684e-9,
      "height": 41.34832579731801,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aJ",
      "roundness": null,
      "seed": 248102114,
      "version": 467,
      "versionNonce": 143351714,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096776761,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -5.34373612026684e-9,
          -41.34832579731801
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "rCpr8A5mOn0G19IIwLMGb",
        "focus": -0.0004964265508200943,
        "gap": 5,
        "fixedPoint": [
          0.499751786658146,
          -0.037400849168938544
        ]
      },
      "endBinding": {
        "elementId": "v1qYdNL6ToaR_6a4U6jPS",
        "focus": 0.0004964267438247529,
        "gap": 5.000000000000114,
        "fixedPoint": [
          0.49975178665811903,
          1.0909090906107934
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "k3-MKZ7vFo1cqwsrFB9-x",
      "type": "arrow",
      "x": 366.6141778506126,
      "y": 355.8763550412823,
      "width": 5.34373612026684e-9,
      "height": 41.34832579731801,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aK",
      "roundness": null,
      "seed": 570675362,
      "version": 2000,
      "versionNonce": 676739042,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096766776,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -5.34373612026684e-9,
          -41.34832579731801
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "lsWQgK2xbDFFlx7dhcAgR",
        "focus": -0.0004964265508200943,
        "gap": 5,
        "fixedPoint": [
          0.499751786658146,
          -0.037400849168938544
        ]
      },
      "endBinding": {
        "elementId": "9wukiHvSQdHwcRqCFoagl",
        "focus": 0.0004964267438247529,
        "gap": 5.000000000000114,
        "fixedPoint": [
          0.49975178665811903,
          1.0909090906107934
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "2dHlQsGZaX1lGzkTnCKFY",
      "type": "arrow",
      "x": 366.6141778452684,
      "y": 249.52802906349234,
      "width": 241.33961489262265,
      "height": 325.88933490976416,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "dashed",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aL",
      "roundness": null,
      "seed": 876964962,
      "version": 2012,
      "versionNonce": 1496526654,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096766776,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -22.21453699999995
        ],
        [
          -241.33961489262265,
          -22.21453699999995
        ],
        [
          -241.33961489262265,
          -325.88933490976416
        ],
        [
          -206.33961489262265,
          -325.88933490976416
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "9wukiHvSQdHwcRqCFoagl",
        "focus": -0.0004964266837619519,
        "gap": 5,
        "fixedPoint": [
          0.4997517866581179,
          -0.09090909061079044
        ]
      },
      "endBinding": {
        "elementId": "JSP3hx5ZEG1hZY0fbrIse",
        "focus": 1.0248213341882393,
        "gap": 5,
        "fixedPoint": [
          -0.012410667094119653,
          0.4981818181877832
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            0,
            -22.21453699999995
          ],
          "end": [
            -241.33961489262265,
            -22.21453699999995
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "w4r4AEnypZ_ijU6xJGJW8",
      "type": "arrow",
      "x": 366.5381959526462,
      "y": 1116.3134920634925,
      "width": 0.9240179999997054,
      "height": 86.90219391654091,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aM",
      "roundness": null,
      "seed": 190681122,
      "version": 274,
      "versionNonce": 215585406,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096776761,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -0.9240179999997054,
          -86.90219391654091
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": {
        "elementId": "7PGV1ogNy1ykzVGKo-dPc",
        "focus": 0.004597701149415878,
        "gap": 5.000000000000011,
        "fixedPoint": [
          0.4977011494252894,
          1.1149382318036578
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "BVZg_IcaseqaqXg-jdUzb",
      "type": "arrow",
      "x": 366.6141778452675,
      "y": -108.76130593650754,
      "width": 0.3120930037302969,
      "height": 137.55218612698496,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aN",
      "roundness": null,
      "seed": 1530608610,
      "version": 885,
      "versionNonce": 1808177022,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096766776,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -0.3120930037302969,
          -137.55218612698496
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "W3Dr69MWFD-ppaCyx5xrC",
      "type": "arrow",
      "x": 366.6141778452684,
      "y": 249.52802906349234,
      "width": 0,
      "height": 64.97629303408087,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aO",
      "roundness": null,
      "seed": 32337826,
      "version": 1878,
      "versionNonce": 187639650,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096766776,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -64.97629303408087
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "9wukiHvSQdHwcRqCFoagl",
        "focus": -0.0004964266837619519,
        "gap": 5,
        "fixedPoint": [
          0.4997517866581179,
          -0.09090909061079044
        ]
      },
      "endBinding": {
        "elementId": "_IKZY5ssccYdTonDWi9bd",
        "focus": 0.0004964266837642576,
        "gap": 5,
        "fixedPoint": [
          0.4997517866581179,
          1.0493827159613611
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "NbBbD_MUY7EXd4_ROd7zG",
      "type": "arrow",
      "x": 366.6141778452684,
      "y": 17.55327906349231,
      "width": 4.547473508864641e-13,
      "height": 61.31458481952819,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aP",
      "roundness": null,
      "seed": 1134766946,
      "version": 1304,
      "versionNonce": 1615001534,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096766776,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -4.547473508864641e-13,
          -61.31458481952819
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "_IKZY5ssccYdTonDWi9bd",
        "focus": -0.0004964266837596954,
        "gap": 5.000000000000057,
        "fixedPoint": [
          0.4997517866581179,
          -0.032388663929747805
        ]
      },
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "uJpkX-OR61DtXRxbf4Et_",
      "type": "arrow",
      "x": 57.2636001787244,
      "y": 561.1673595710627,
      "width": 309.3505776718879,
      "height": 61.6042003234067,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aQ",
      "roundness": null,
      "seed": 111898402,
      "version": 788,
      "versionNonce": 2102373730,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096872656,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          309.3505776718879,
          0
        ],
        [
          309.3505776718879,
          -61.6042003234067
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": {
        "elementId": "lsWQgK2xbDFFlx7dhcAgR",
        "focus": 0.0004964266837068106,
        "gap": 4.999999999999986,
        "fixedPoint": [
          0.499751786658146,
          1.0374008491689386
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "pmTd8oOgqDfgV-9w-RwrS",
      "type": "arrow",
      "x": 53.63864015397803,
      "y": 560.7645862349798,
      "width": 209.6634446875587,
      "height": 61.20142698732383,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aR",
      "roundness": null,
      "seed": 259341026,
      "version": 958,
      "versionNonce": 1374409918,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096867938,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          209.6634446875587,
          0
        ],
        [
          209.6634446875587,
          -61.20142698732383
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": {
        "elementId": "lsWQgK2xbDFFlx7dhcAgR",
        "focus": 0.513365223879263,
        "gap": 4.999999999999986,
        "fixedPoint": [
          0.24331738806036787,
          1.0374008491689386
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "Mp8nf6vRB3KuqVuRLLdHh",
      "type": "arrow",
      "x": 365.61417784526793,
      "y": 643.2386940634924,
      "width": 240.33961489262174,
      "height": 369.55218612698485,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ff8787",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "dashed",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aS",
      "roundness": null,
      "seed": 1016041122,
      "version": 805,
      "versionNonce": 691156706,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096766776,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -47.55218612698485
        ],
        [
          -240.33961489262174,
          -47.55218612698485
        ],
        [
          -240.33961489262174,
          -369.55218612698485
        ],
        [
          -205.33961489262128,
          -369.55218612698485
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": {
        "elementId": "9wukiHvSQdHwcRqCFoagl",
        "focus": 1.024821334188237,
        "gap": 4.999999999999545,
        "fixedPoint": [
          -0.012410667094118524,
          0.34833597836636987
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            0,
            -47.55218612698485
          ],
          "end": [
            -240.33961489262174,
            -47.55218612698485
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "bFXgJkSVpUwvGb5yGLpzp",
      "type": "text",
      "x": 243.17159433333387,
      "y": -377.58160099999975,
      "width": 243.97159196789153,
      "height": 77.50000000000003,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aT",
      "roundness": null,
      "seed": 213472354,
      "version": 124,
      "versionNonce": 812201058,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762096811752,
      "link": null,
      "locked": false,
      "text": "Decoder",
      "fontSize": 62.00000000000002,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "Decoder",
      "autoResize": false,
      "lineHeight": 1.25
    },
    {
      "id": "Na2NHN8q6DxGCFV0K2zPJ",
      "type": "freedraw",
      "x": 671.9998057276506,
      "y": 550.8032246845027,
      "width": 1.170036762555128,
      "height": 2.340073525110256,
      "angle": 0,
      "strokeColor": "transparent",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aU",
      "roundness": null,
      "seed": 2069955198,
      "version": 5,
      "versionNonce": 1256778558,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762096888424,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -1.170036762555128,
          -2.340073525110256
        ],
        [
          0,
          0
        ]
      ],
      "pressures": [],
      "simulatePressure": true,
      "lastCommittedPoint": [
        -1.170036762555128,
        -2.340073525110256
      ]
    }
  ],
  "appState": {
    "gridSize": 20,
    "gridStep": 5,
    "gridModeEnabled": false,
    "viewBackgroundColor": "#ffffff"
  },
  "files": {}
}